Debian Bug report logs - #660715
FTBFS

version graph

Package: src:apertium; Maintainer for src:apertium is Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Moritz Muehlenhoff <muehlenhoff@univention.de>

Date: Tue, 21 Feb 2012 07:06:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 643047

Found in version apertium/3.1.0-1.3

Fixed in version apertium/3.1.0-1.4

Done: Jonathan Wiltshire <jmw@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francis Tyers <ftyers@prompsit.com>:
Bug#660715; Package apertium. (Tue, 21 Feb 2012 07:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
New Bug report received and forwarded. Copy sent to Francis Tyers <ftyers@prompsit.com>. (Tue, 21 Feb 2012 07:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <muehlenhoff@univention.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS
Date: Tue, 21 Feb 2012 08:03:51 +0100
Package: apertium
Version: 3.1.0-1.3
Severity: serious

Your package fails to build from source:

dpkg-buildpackage: source package apertium
dpkg-buildpackage: source version 3.1.0-1.3
dpkg-buildpackage: source changed by Luk Claes <luk@debian.org>
dpkg-buildpackage: host architecture amd64
 dpkg-source --before-build apertium-3.1.0
 debian/rules clean
dh_testdir
dh_testroot
rm -f build-stamp 
# Add here commands to clean up after the build process.
[ ! -f Makefile ] || /usr/bin/make distclean
rm -f config.log
rm -f config.cache
rm -f config.status
cp -f /usr/share/misc/config.sub config.sub
cp -f /usr/share/misc/config.guess config.guess
dh_clean 
dh_clean: Compatibility levels before 5 are deprecated (level 4 in use)
 dpkg-source -b apertium-3.1.0
dpkg-source: info: using source format `3.0 (quilt)'
dpkg-source: info: building apertium using existing ./apertium_3.1.0.orig.tar.gz
dpkg-source: info: local changes detected, the modified files are:
 apertium-3.1.0/config.guess
 apertium-3.1.0/config.sub
dpkg-source: info: you can integrate the local changes with dpkg-source --commit
dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/apertium_3.1.0-1.3.diff.Z0F3mr
dpkg-buildpackage: error: dpkg-source -b apertium-3.1.0 gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Francis Tyers <ftyers@prompsit.com>:
Bug#660715; Package apertium. (Thu, 01 Mar 2012 09:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Prach Pongpanich <prachpub@gmail.com>:
Extra info received and forwarded to list. Copy sent to Francis Tyers <ftyers@prompsit.com>. (Thu, 01 Mar 2012 09:15:12 GMT) Full text and rfc822 format available.

Message #10 received at 660715@bugs.debian.org (full text, mbox):

From: Prach Pongpanich <prachpub@gmail.com>
To: 660715@bugs.debian.org
Subject: PATCH: fix FTBFS
Date: Thu, 1 Mar 2012 16:10:57 +0700
[Message part 1 (text/plain, inline)]
tags 660715 + patch
thanks

Dear maintainer,

I have prepared a patch which solves the FTBFS.

Regards,

-- 
ปรัชญ์ พงษ์พานิช

Prach Pongpanich

http://prach-public.blogspot.com
[Message part 2 (text/html, inline)]
[660715.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Prach Pongpanich <prachpub@gmail.com> to control@bugs.debian.org. (Thu, 01 Mar 2012 09:30:14 GMT) Full text and rfc822 format available.

Bug reassigned from package 'apertium' to 'src:apertium'. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 12:38:54 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions apertium/3.1.0-1.3. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 12:39:02 GMT) Full text and rfc822 format available.

Forcibly Merged 643047 660715. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 12:39:04 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 15:52:24 GMT) Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <muehlenhoff@univention.de>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 15:52:24 GMT) Full text and rfc822 format available.

Message #23 received at 660715-close@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 660715-close@bugs.debian.org
Subject: Bug#660715: fixed in apertium 3.1.0-1.4
Date: Sat, 03 Mar 2012 15:47:20 +0000
Source: apertium
Source-Version: 3.1.0-1.4

We believe that the bug you reported is fixed in the latest version of
apertium, which is due to be installed in the Debian FTP archive:

apertium_3.1.0-1.4.debian.tar.gz
  to main/a/apertium/apertium_3.1.0-1.4.debian.tar.gz
apertium_3.1.0-1.4.dsc
  to main/a/apertium/apertium_3.1.0-1.4.dsc
apertium_3.1.0-1.4_amd64.deb
  to main/a/apertium/apertium_3.1.0-1.4_amd64.deb
libapertium3-3.1-0-dev_3.1.0-1.4_amd64.deb
  to main/a/apertium/libapertium3-3.1-0-dev_3.1.0-1.4_amd64.deb
libapertium3-3.1-0_3.1.0-1.4_amd64.deb
  to main/a/apertium/libapertium3-3.1-0_3.1.0-1.4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660715@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonathan Wiltshire <jmw@debian.org> (supplier of updated apertium package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Mar 2012 11:59:00 +0000
Source: apertium
Binary: apertium libapertium3-3.1-0-dev libapertium3-3.1-0
Architecture: source amd64
Version: 3.1.0-1.4
Distribution: unstable
Urgency: low
Maintainer: Francis Tyers <ftyers@prompsit.com>
Changed-By: Jonathan Wiltshire <jmw@debian.org>
Description: 
 apertium   - Shallow-transfer machine translation engine
 libapertium3-3.1-0 - Shared library for Apertium
 libapertium3-3.1-0-dev - Development library for Apertium
Closes: 660715
Changes: 
 apertium (3.1.0-1.4) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS (Closes: #660715)
     - depend on dh-autoreconf and set compat to 7
     - add dh_autoreconf{,-clean} to debian/rules
Checksums-Sha1: 
 6ff25c432fa30e5a4f77f396574f1db76c08a51e 2031 apertium_3.1.0-1.4.dsc
 9a7095ff56d2565540cab50f5237235ce2e411e2 120260 apertium_3.1.0-1.4.debian.tar.gz
 0f8b32bf3be24a65890fb28597ba3e10a9a285a4 369282 apertium_3.1.0-1.4_amd64.deb
 2ed4e7c32c7db8335c389bec21f7cfb60c264c72 876252 libapertium3-3.1-0-dev_3.1.0-1.4_amd64.deb
 de62b16cfaa631acb5e962fa67b9269d355ee785 389382 libapertium3-3.1-0_3.1.0-1.4_amd64.deb
Checksums-Sha256: 
 005fe051125c3fe51a21f357409e9742b2d1d12384fdfd97739a0b8c5d45bee9 2031 apertium_3.1.0-1.4.dsc
 2e8136f1474be34594ef232b37fa7fe0e51c87c7a020eb33b8d0c01832b5ecad 120260 apertium_3.1.0-1.4.debian.tar.gz
 61bc1ed5824168336c845331913bb241bc286202ee69bbad85180434fe9bf906 369282 apertium_3.1.0-1.4_amd64.deb
 552990e0b73f578c6ccacf06fc28d5c9e8a69b519bef8f718cb2bb760dac056a 876252 libapertium3-3.1-0-dev_3.1.0-1.4_amd64.deb
 1ab58cbaa974525b221da822dcaadbc489831fd940da0de0e7c8d39d610c1568 389382 libapertium3-3.1-0_3.1.0-1.4_amd64.deb
Files: 
 f27cd6673788d8c548f7d9001f79121f 2031 libs optional apertium_3.1.0-1.4.dsc
 1405b0f4f6b499fc39f413e309d8055b 120260 libs optional apertium_3.1.0-1.4.debian.tar.gz
 d210849753bb000fa947dbaa2d3244e7 369282 libs optional apertium_3.1.0-1.4_amd64.deb
 b05fd4048439e4b11eaea58f648ae9e0 876252 libdevel optional libapertium3-3.1-0-dev_3.1.0-1.4_amd64.deb
 b10cbeb4eb89639e4411ecd6d3975ab1 389382 libs optional libapertium3-3.1-0_3.1.0-1.4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJPUiZKAAoJEFOUR53TUkxRhHoP/1QSxffh3Vr0MPlG9+s8tihV
9RIn1Bez6Q+hPS9Y7yK6t6deWbpb0DIixU8OXEULBn2V//SDZPPd0kB3rcirNSlw
BUS3lTnE9eTKZm4W1X3Hqqhdg2tR6pSi+0Lf3ph7cMB0p1tMo+HCuTyEHtL5VHCs
crBtJMDpi3Sz4CiTAXXt2GLg47Xb3Q5d2YHqFtfORWA9JVqMKBeVG8iTRKEj0DrK
oLxMlFEV+tvcG5XVAKGS8BWeLOfX7d1sV//xTqClnxWxE8KLeUOKuMfOJZFaumdD
TiBiboA0DP57isTGNT51DzRdTkb32aCmNziVQRJQnWW66wx+tmZ86Wef6hDJGd6k
uLCC0cq6IUMI8aVKJ0RU0hQG5SC4ZuXvTqn1/RKOrh/UWyxI7sFGdIQ1tbgGn3np
AcSJRFe7wmionDvMmY1VIZQkJfsN9tzhscfYbaFhULNtLnta+KEkbUbAHkwotY0u
6CVxaJ4Rp/ogAY4a3NHjxGo3Lx5cCtbuQEbMdwWk6whrbPdkpaBbaWGtvPuQCRDR
ftl5a79poG5Uh83i14hJCuNr2ntfHhRQjB1f65yObBQS0p1lW6019jpmcv8EfN7c
JndixQAlXCv8YG6Wd147SUVNICSBjQI7092CZKBxRtQEhqsiE71vXdnegN4+2UTA
1sReV+SkA8zfx48BOIjI
=Zdm1
-----END PGP SIGNATURE-----





Reply sent to Jonathan Wiltshire <jmw@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 15:52:25 GMT) Full text and rfc822 format available.

Notification sent to Didier Raboud <odyx@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 15:52:25 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 11 Apr 2012 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:46:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.